跳到主要内容

GET 查询30天内即将到期的资质

GET 查询列表。无参数。

接口编码所需范围后端接口
office.certificate.expiry-warningoffice:readGET /v1/certificates/expiry-warning(comap-office)

请求示例

curl -X POST https://open.risemap.cn/v1/api/invoke \
-H "Authorization: Bearer <访问令牌>" \
-H "Content-Type: application/json" \
-d '{
"apiCode": "office.certificate.expiry-warning"
}'

响应 data 字段

字段类型必填说明
idstring—ID
namestring—资质名称
categorystring—资质类别名称
categoryIdinteger(int64)—资质类别ID
certNostring—证书编号
issuerstring—发证机关
issueDatestring(date-time)—发证日期
expiryDatestring(date-time)—到期日期
annualReviewDatestring(date-time)—年审日期
renewalDatestring(date-time)—续期日期
responsiblestring—负责人姓名
responsibleIdinteger(int64)—负责人ID
statusstring—状态
attachmentsinteger(int32)—附件数量
remarkstring—备注
createTimestring(date-time)—创建时间
updateTimestring(date-time)—更新时间

错误处理​

响应统一信封 { code, message, data },code == 200 为成功。以下是本接口可能返回的开放平台层错误:

错误码说明可重试
92101访问凭证无效否
92201接口未登记或已停用否
92202超出凭证授权范围——本接口需 office:read否
92204绑定员工无此接口的功能权限否
92203上游服务调用失败是
92301请求过于频繁是

除此之外,comap-office 自身的业务校验失败会原样透传其业务码与提示 (如字段校验、状态不允许、数据不存在),这类码不在开放平台的号段内, 以响应里的 message 为准。完整的平台层错误码见错误码说明。

← 返回certificate